<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">

<mapper namespace="com.tofly.watermeter.mapper.BwcjlxbmMapper">

    <resultMap id="bwcjlxbmMap" type="com.tofly.watermeter.entity.Bwcjlxbm">
        <id property="id" column="ID"/>
        <result property="bwCode" column="BW_CODE"/>
        <result property="bwMc" column="BW_MC"/>
        <result property="bwYxbz" column="BW_YXBZ"/>
        <result property="createUser" column="CREATE_USER"/>
        <result property="createDate" column="CREATE_DATE"/>
        <result property="bwBz" column="BW_BZ"/>
        <association property="createUserName" column="CREATE_USER"
                     select="com.tofly.baseapi.mapper.ToflyCodeCommonMapper.getUserName"></association>
    </resultMap>


</mapper>
